Index: branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh
===================================================================
--- branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh	(revision 570)
+++ branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh	(revision 571)
@@ -599,105 +665,105 @@
 function IGCM_post_ModuloRuntimeFrequency
 {
-    IGCM_debug_PushStack "IGCM_post_ModuloRuntimeFrequency" $*
-
-    # Used by IGCM_post_Configure
-    # - from libIGCM (config_UserChoices_PeriodLength frequency * CumulPeriod) and 
-    # - post-processing compatible frequency (*Y, *M, *D, *y, *m, *d)
-    # --> turn on post-processing submission when their modulo is zero
-    # Input parameter are the name of the variable, not the frequency value itself
-    # example
-    # IGCM_post_ModuloRuntimeFrequency config_Post_SeasonalFrequency config_UserChoices_PeriodLength
-
-    typeset MasterName SlaveName MasterFrequency SlaveFrequency PeriodMasterYear PeriodMasterMonth PeriodMasterDay PeriodSlaveYear PeriodSlaveMonth PeriodSlaveDay
-
-    # Get the name of the variable
-    MasterName=$1
-    SlaveName=$2
- 
-    # Get the value the above name points to
-    eval MasterFrequency=\${${1}}
-    eval SlaveFrequency=\${${2}}
-
-    echo
-    IGCM_debug_Print 2 "IGCM_post_ModuloRuntimeFrequency : Master=${MasterFrequency} Slave=${SlaveFrequency} CumulPeriod=${CumulPeriod}"
-
-    case ${MasterFrequency} in
-	*y|*Y)
-	    PeriodMasterYear=$( echo ${MasterFrequency} | sed -e "s/[yY]//" )
-	    case ${SlaveFrequency} in
-		*Y|*y)
-		    PeriodSlaveYear=$( echo ${SlaveFrequency} | sed -e "s/[yY]//" )
-		    if [ $(( ( ${CumulPeriod} * ${PeriodSlaveYear} - ${PeriodOffset} ) % ${PeriodMasterYear} )) -eq 0 ] ;  then
-			if [ $(( ${CumulPeriod} * ${PeriodSlaveYear} - ${PeriodOffset} )) -ne 0 ] ; then
-			    eval ${post_freq}=true ; POST=true
-			    [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ${PeriodMasterYear} / ${PeriodSlaveYear} ))
-			fi
-		    fi;;
-		*M|*m)
- 		    PeriodSlaveMonth=$( echo ${SlaveFrequency} | sed -e "s/[mM]//" )
-		    if [ $(( ( ${CumulPeriod} * ${PeriodSlaveMonth} - ${PeriodOffset} * 12 ) % ( ${PeriodMasterYear} * 12 ) )) -eq 0 ] ; then
-			if [ $(( ${CumulPeriod} * ${PeriodSlaveMonth} - ${PeriodOffset} * 12 )) -ne 0 ] ; then
-			    eval ${post_freq}=true ; POST=true
-			    [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ( 12 * ${PeriodMasterYear} ) / ${PeriodSlaveMonth} ))
-			fi
-		    fi;;
-		*D|*d)
-		    PeriodSlaveDay=$( echo ${SlaveFrequency} | sed -e "s/[dD]//" )
-		    NbDays=$( IGCM_date_DaysInYear ${year} )
-		    if [ $(( ( ${CumulPeriod} - ( ${PeriodOffset} * ${NbDays} / ${PeriodSlaveDay} ) ) % ( ${NbDays} * ${PeriodMasterYear} / ${PeriodSlaveDay} ) )) -eq 0 ] ; then
-			if [ $(( ${CumulPeriod} - ( ${PeriodOffset} * ${NbDays} / ${PeriodSlaveDay} ) )) -ne 0 ] ; then
-			    eval ${post_freq}=true ; POST=true
-			    [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ( ${NbDays} * ${PeriodMasterYear} ) / ${PeriodSlaveDay} ))
-			fi
-		    fi;;
-	    esac ;;
-	*M|*m)
-	    PeriodMasterMonth=$( echo ${MasterFrequency} | sed -e "s/[mM]//" )
-	    case ${SlaveFrequency} in
-		*Y|*y)
-		    PeriodSlaveYear=$( echo ${SlaveFrequency} | sed -e "s/[yY]//" )
-		    if [ $(( ( ${CumulPeriod} * ${PeriodSlaveYear} * 12 - ${PeriodOffset} ) % ( ${PeriodMasterMonth} ) )) -eq 0 ] ; then
-			if [ $(( ${CumulPeriod} * ${PeriodSlaveYear} * 12 - ${PeriodOffset} )) -ne 0 ] ; then
-			    eval ${post_freq}=true ; POST=true
-			    [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ${PeriodMasterMonth} / ( 12 * ${PeriodSlaveYear} ) ))
-			fi
-		    fi;;
-		*M|*m)
-		    PeriodSlaveMonth=$( echo ${SlaveFrequency} | sed -e "s/[mM]//" )
-		    if [ $(( ( ${CumulPeriod} * ${PeriodSlaveMonth} - ${PeriodOffset} ) % ${PeriodMasterMonth} )) -eq 0 ] ;  then
-			if [ $(( ${CumulPeriod} * ${PeriodSlaveMonth} -  ${PeriodOffset} )) -ne 0 ] ; then 
-			    eval ${post_freq}=true ; POST=true
-			    [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ${PeriodMasterMonth} / ${PeriodSlaveMonth} ))
-			fi
-		    fi;;
-		*D|*d)
-		    IGCM_debug_Print 1 "PeriodLength frequency ${SlaveFrequency} not compatbile with"
-		    IGCM_debug_Print 1 "${flag_post} frequency : ${MasterFrequency} " ;;
-	    esac ;;
-        *D|*d)
-            PeriodMasterDay=$( echo ${MasterFrequency} | sed -e "s/[dD]//" )
-            case ${SlaveFrequency} in
-                *Y|*y)
-                    IGCM_debug_Print 1 "PeriodLength frequency ${SlaveFrequency} not compatbile with"
-                    IGCM_debug_Print 1 "${flag_post} frequency : ${MasterFrequency} " ;;
-                *M|*m)
-                    IGCM_debug_Print 1 "PeriodLength frequency ${SlaveFrequency} not compatbile with"
-                    IGCM_debug_Print 1 "${flag_post} frequency : ${MasterFrequency} " ;;
-                *D|*d)
-                    PeriodSlaveDay=$( echo ${SlaveFrequency} | sed -e "s/[dD]//" )
-                    if [ $(( ( ${CumulPeriod} * ${PeriodSlaveDay} - ${PeriodOffset} ) % ${PeriodMasterDay} )) -eq 0 ] ;  then
-                        if [ $(( ${CumulPeriod} * ${PeriodSlaveDay} - ${PeriodOffset} )) -ne 0 ] ; then
-			    eval ${post_freq}=true ; POST=true
-			    [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ${PeriodMasterDay} / ${PeriodSlaveDay} ))
-			fi
-                    fi;;
-            esac ;;
-	NONE|none)
-	    ;;
-	*)
-	    IGCM_debug_Print 1 "KeyWord not allowed for ${post_freq} in config.card"
-	    ;;
-    esac
-
-    IGCM_debug_PopStack "IGCM_post_ModuloRuntimeFrequency"
+  IGCM_debug_PushStack "IGCM_post_ModuloRuntimeFrequency" $*
+
+  # Used by IGCM_post_Configure
+  # - from libIGCM (config_UserChoices_PeriodLength frequency * CumulPeriod) and 
+  # - post-processing compatible frequency (*Y, *M, *D, *y, *m, *d)
+  # --> turn on post-processing submission when their modulo is zero
+  # Input parameter are the name of the variable, not the frequency value itself
+  # example
+  # IGCM_post_ModuloRuntimeFrequency config_Post_SeasonalFrequency config_UserChoices_PeriodLength
+
+  typeset MasterName SlaveName MasterFrequency SlaveFrequency PeriodMasterYear PeriodMasterMonth PeriodMasterDay PeriodSlaveYear PeriodSlaveMonth PeriodSlaveDay
+
+  # Get the name of the variable
+  MasterName=$1
+  SlaveName=$2
+  
+  # Get the value the above name points to
+  eval MasterFrequency=\${${1}}
+  eval SlaveFrequency=\${${2}}
+
+  echo
+  IGCM_debug_Print 2 "IGCM_post_ModuloRuntimeFrequency : Master=${MasterFrequency} Slave=${SlaveFrequency} CumulPeriod=${CumulPeriod}"
+
+  case ${MasterFrequency} in
+  *y|*Y)
+    PeriodMasterYear=$( echo ${MasterFrequency} | sed -e "s/[yY]//" )
+    case ${SlaveFrequency} in
+    *Y|*y)
+      PeriodSlaveYear=$( echo ${SlaveFrequency} | sed -e "s/[yY]//" )
+      if [ $(( ( ${CumulPeriod} * ${PeriodSlaveYear} - ${PeriodOffset} ) % ${PeriodMasterYear} )) -eq 0 ] ;  then
+	if [ $(( ${CumulPeriod} * ${PeriodSlaveYear} - ${PeriodOffset} )) -ne 0 ] ; then
+	  eval ${post_freq}=true ; POST=true
+	  [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ${PeriodMasterYear} / ${PeriodSlaveYear} ))
+	fi
+      fi;;
+    *M|*m)
+      PeriodSlaveMonth=$( echo ${SlaveFrequency} | sed -e "s/[mM]//" )
+      if [ $(( ( ${CumulPeriod} * ${PeriodSlaveMonth} - ${PeriodOffset} * 12 ) % ( ${PeriodMasterYear} * 12 ) )) -eq 0 ] ; then
+	if [ $(( ${CumulPeriod} * ${PeriodSlaveMonth} - ${PeriodOffset} * 12 )) -ne 0 ] ; then
+	  eval ${post_freq}=true ; POST=true
+	  [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ( 12 * ${PeriodMasterYear} ) / ${PeriodSlaveMonth} ))
+	fi
+      fi;;
+    *D|*d)
+      PeriodSlaveDay=$( echo ${SlaveFrequency} | sed -e "s/[dD]//" )
+      NbDays=$( IGCM_date_DaysInYear ${year} )
+      if [ $(( ( ${CumulPeriod} - ( ${PeriodOffset} * ${NbDays} / ${PeriodSlaveDay} ) ) % ( ${NbDays} * ${PeriodMasterYear} / ${PeriodSlaveDay} ) )) -eq 0 ] ; then
+	if [ $(( ${CumulPeriod} - ( ${PeriodOffset} * ${NbDays} / ${PeriodSlaveDay} ) )) -ne 0 ] ; then
+	  eval ${post_freq}=true ; POST=true
+	  [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ( ${NbDays} * ${PeriodMasterYear} ) / ${PeriodSlaveDay} ))
+	fi
+      fi;;
+    esac ;;
+  *M|*m)
+    PeriodMasterMonth=$( echo ${MasterFrequency} | sed -e "s/[mM]//" )
+    case ${SlaveFrequency} in
+    *Y|*y)
+      PeriodSlaveYear=$( echo ${SlaveFrequency} | sed -e "s/[yY]//" )
+      if [ $(( ( ${CumulPeriod} * ${PeriodSlaveYear} * 12 - ${PeriodOffset} ) % ( ${PeriodMasterMonth} ) )) -eq 0 ] ; then
+	if [ $(( ${CumulPeriod} * ${PeriodSlaveYear} * 12 - ${PeriodOffset} )) -ne 0 ] ; then
+	  eval ${post_freq}=true ; POST=true
+	  [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ${PeriodMasterMonth} / ( 12 * ${PeriodSlaveYear} ) ))
+	fi
+      fi;;
+    *M|*m)
+      PeriodSlaveMonth=$( echo ${SlaveFrequency} | sed -e "s/[mM]//" )
+      if [ $(( ( ${CumulPeriod} * ${PeriodSlaveMonth} - ${PeriodOffset} ) % ${PeriodMasterMonth} )) -eq 0 ] ;  then
+	if [ $(( ${CumulPeriod} * ${PeriodSlaveMonth} -  ${PeriodOffset} )) -ne 0 ] ; then 
+	  eval ${post_freq}=true ; POST=true
+	  [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ${PeriodMasterMonth} / ${PeriodSlaveMonth} ))
+	fi
+      fi;;
+    *D|*d)
+      IGCM_debug_Print 1 "PeriodLength frequency ${SlaveFrequency} not compatbile with"
+      IGCM_debug_Print 1 "${flag_post} frequency : ${MasterFrequency} " ;;
+    esac ;;
+  *D|*d)
+    PeriodMasterDay=$( echo ${MasterFrequency} | sed -e "s/[dD]//" )
+    case ${SlaveFrequency} in
+    *Y|*y)
+      IGCM_debug_Print 1 "PeriodLength frequency ${SlaveFrequency} not compatbile with"
+      IGCM_debug_Print 1 "${flag_post} frequency : ${MasterFrequency} " ;;
+    *M|*m)
+      IGCM_debug_Print 1 "PeriodLength frequency ${SlaveFrequency} not compatbile with"
+      IGCM_debug_Print 1 "${flag_post} frequency : ${MasterFrequency} " ;;
+    *D|*d)
+      PeriodSlaveDay=$( echo ${SlaveFrequency} | sed -e "s/[dD]//" )
+      if [ $(( ( ${CumulPeriod} * ${PeriodSlaveDay} - ${PeriodOffset} ) % ${PeriodMasterDay} )) -eq 0 ] ;  then
+        if [ $(( ${CumulPeriod} * ${PeriodSlaveDay} - ${PeriodOffset} )) -ne 0 ] ; then
+	  eval ${post_freq}=true ; POST=true
+	  [ X${3} = XNbRebuildDir ] && NbRebuildDir=$(( ${PeriodMasterDay} / ${PeriodSlaveDay} ))
+	fi
+      fi;;
+    esac ;;
+  NONE|none)
+    ;;
+  *)
+    IGCM_debug_Print 1 "KeyWord not allowed for ${post_freq} in config.card"
+    ;;
+  esac
+
+  IGCM_debug_PopStack "IGCM_post_ModuloRuntimeFrequency"
 }
